/*	rdbythc.c 4.3		*/

/*F****************************************************************************

FUNCTION NAME:	rdbythc

ACTION:		Reads a character from Port C using handshaked I/O.
		Returns a character.

PARAMETERS:	(None)

RETURNS:	(int) byte read from port C.

******************************************************************************/

#include <hc11/io.h>
#include <hc11/pio.h>
#include <hc11/directives.h>

SMALL
unsigned rdbythc()

	{

	HC11.PIOC = ((HC11.PIOC) & (~OIN)) | HNDS;

	while ((HC11.PIOC & STAF) ==  0)
		;		/* null statement */

	return ((unsigned) HC11.PORTCL) ;

	}	/* end of rdbythc	*/
